## List Jobs `client.aiSearch.instances.jobs.list(stringid, JobListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/ai-search/instances/{id}/jobs` Lists indexing jobs for an AI Search instance. ### Parameters - `id: string` AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores. - `params: JobListParams` - `account_id: string` Path param - `page?: number` Query param - `per_page?: number` Query param ### Returns - `JobListResponse` - `id: string` - `source: "user" | "schedule"` - `"user"` - `"schedule"` - `description?: string` - `end_reason?: string` - `ended_at?: string` - `last_seen_at?: string` - `started_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const jobListResponse of client.aiSearch.instances.jobs.list('my-ai-search', { account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22', })) { console.log(jobListResponse.id); } ``` #### Response ```json { "result": [ { "id": "id", "source": "user", "description": "description", "end_reason": "end_reason", "ended_at": "ended_at", "last_seen_at": "last_seen_at", "started_at": "started_at" } ], "result_info": { "count": 0, "page": 0, "per_page": 0, "total_count": 0 }, "success": true } ```